unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, pngimage, PNCAMenuButton, Menus, StdCtrls;

type
  TForm4 = class(TForm)
    pncaMenuButton: TPNCAMenuButton;
    pumMainMenu: TPopupMenu;
    miNew: TMenuItem;
    miOpen: TMenuItem;
    miSave: TMenuItem;
    miN1: TMenuItem;
    miExit: TMenuItem;
    miSaveAs: TMenuItem;
    lbInfo: TLabel;
    procedure miExitClick(Sender: TObject);
    procedure pncaMenuButtonDrawButton(Sender: TObject; const TargetCanvas: TCanvas; ARect: TRect);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation

uses
  PNCAUtils;

{$R *.dfm}

procedure TForm4.miExitClick(Sender: TObject);
begin
  Close;
end;

procedure TForm4.pncaMenuButtonDrawButton(Sender: TObject; const TargetCanvas: TCanvas; ARect: TRect);
const
  mFlags = DT_SINGLELINE or DT_CENTER or DT_VCENTER or DT_END_ELLIPSIS;
var
  mText:string;
begin
  mText:='Demo app';
  Dec(ARect.Right,14); Dec(ARect.Bottom,4); // slightly modify the text position according to currently used button image
  TargetCanvas.Font.Color := clWhite;
  if pncaMenuButton.CompositedDrawing then
    DrawTextOnGlass(TargetCanvas, mText, ARect, mFlags, TargetCanvas.Font.Color, 24)
  else
    DrawText(TargetCanvas.Handle, PChar(mText), Length(mText), ARect, mFlags);
end;

end.
